Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ExceptionA.cpp File Reference

`#include "ExceptionA.h"`
`#include "Any_Dual_Impl_T.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/ORB_Constants.h"`
`#include "tao/CORBA_String.h"`
`#include "tao/CDR.h"`
`#include "tao/debug.h"`
`#include "ace/Malloc.h"`
`#include "ace/SString.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_stdio.h"`

Include dependency graph for ExceptionA.cpp:

## Namespaces
namespace | TAO
## Functions
template<>
void | Any_Dual_Impl_T< CORBA::Exception >::value (const CORBA::Exception &val)
template<>
CORBA::Boolean | Any_Dual_Impl_T< CORBA::Exception >::marshal_value (TAO_OutputCDR &cdr)
template<>
CORBA::Boolean | Any_Dual_Impl_T< CORBA::Exception >::demarshal_value (TAO_InputCDR &cdr)
template<>
CORBA::Boolean | Any_Dual_Impl_T< CORBA::Exception >::extract (const CORBA::Any &, _tao_destructor, CORBA::TypeCode_ptr, const CORBA::Exception *&)
void | operator<<= (CORBA::Any &any, const CORBA::Exception &exception)
void | operator<<= (CORBA::Any &any, CORBA::Exception *exception)

## Function Documentation

template<>
CORBA::Boolean Any_Dual_Impl_T< CORBA::Exception >::demarshal_value | ( | TAO_InputCDR & | cdr | ) |

template<>
CORBA::Boolean Any_Dual_Impl_T< CORBA::Exception >::extract | ( | const CORBA::Any & | ,
|  | _tao_destructor | ,
|  | CORBA::TypeCode_ptr | ,
|  | const CORBA::Exception *& |
| ) |

template<>
CORBA::Boolean Any_Dual_Impl_T< CORBA::Exception >::marshal_value | ( | TAO_OutputCDR & | cdr | ) |

template<>
void Any_Dual_Impl_T< CORBA::Exception >::value | ( | const CORBA::Exception & | val | ) |

void operator<<= | ( | CORBA::Any & | any,
|  | CORBA::Exception * | exception
| ) |

void operator<<= | ( | CORBA::Any & | any,
|  | const CORBA::Exception & | exception
| ) |